|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions
System Driver
MPLABX MCC Melody Code Generator

System driver using dsPIC MCUs. More...

Collaboration diagram for System Driver:

## Files
file | system.c
| This is the generated driver header file for the System driver.
file | system_types.h
| This is the generated driver types header file for the System driver.

## Functions
void | SYSTEM_Initialize (void)
| Initializes the System module.
static void | SYSTEM_CORCONInitialize ()
| Initializes the CPU core control register.
static void | SYSTEM_CORCONModeOperatingSet (SYSTEM_CORCON_MODES modeValue)
| This inline function sets the CPU core control register operating mode to a value that is decided by the SYSTEM_CORCON_MODES argument.
static void | SYSTEM_CORCONRegisterValueSet (uint16_t value)
| This inline function sets the value of CPU core control register.
static uint16_t | SYSTEM_CORCONRegisterValueGet (void)
| This inline function gets the value of CPU core control register.
static uint32_t | SYSTEM_DeviceIdRegisterAddressGet (void)
| This inline function gets the base address of the DEVID register for the currently selected device.

## Detailed Description

Version
  Driver Version 1.0.1

## Function Documentation

## ◆ SYSTEM_CORCONInitialize()

static void SYSTEM_CORCONInitialize | ( |  | ) |
| inlinestatic

Returns
  none

Definition at line 54 of file system.h.

## ◆ SYSTEM_CORCONModeOperatingSet()

static void SYSTEM_CORCONModeOperatingSet | ( | SYSTEM_CORCON_MODES | modeValue | ) |
| inlinestatic

Parameters

  [in] | modeValue | - SYSTEM_CORCON_MODES initialization mode specifier

Returns
  none

Definition at line 66 of file system.h.

## ◆ SYSTEM_CORCONRegisterValueGet()

static uint16_t SYSTEM_CORCONRegisterValueGet | ( | void |  | ) |
| inlinestatic

Returns
  value of the CPU core control register

Definition at line 87 of file system.h.

## ◆ SYSTEM_CORCONRegisterValueSet()

static void SYSTEM_CORCONRegisterValueSet | ( | uint16_t | value | ) |
| inlinestatic

Parameters

  [in] | value | - value that needs to be written to the CPU core control register

Returns
  none

Definition at line 77 of file system.h.

## ◆ SYSTEM_DeviceIdRegisterAddressGet()

static uint32_t SYSTEM_DeviceIdRegisterAddressGet | ( | void |  | ) |
| inlinestatic

Returns
  base address of the DEVID register

Definition at line 98 of file system.h.

## ◆ SYSTEM_Initialize()

void SYSTEM_Initialize | ( | void |  | ) |

Returns
  none

Definition at line 55 of file system.c.

Here is the call graph for this function: